%define	oname	compress

Summary:	Fast compression and decompression utilities
Name:		ncompress
Version:	4.2.4.5
Release:	%mkrel 1
License:	Public Domain
Group:		Archiving/Compression
URL:		http://ncompress.sourceforge.net/
Source:		http://downloads.sourceforge.net/ncompress/%{name}-%{version}.tar.gz
Patch0:		ncompress-4.2.4-make.patch
Patch1:		ncompress-4.2.4.5-lfs2.patch
Patch3:		ncompress-2GB.patch
Patch6: 	ncompress-4.2.4-endians.patch
Patch7:		ncompress-4.2.4.2-LDFLAGS.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The ncompress package contains the compress and uncompress
file compression and decompression utilities, which are compatible
with the original UNIX compress utility (.Z file extensions).  These
utilities can't handle gzipped (.gz file extensions) files, but
gzip can handle compressed files.

%prep

%setup -q
%patch0 -p1
%patch1 -p1 -b .lfs
%patch3 -p1 -b .2gb
%patch6 -p1 -b .endians

%build
#- extra CFLAGS
%ifarch alpha ia64
EXTRA_FLAGS="-DNOALIGN=0"
%endif
ENDIAN_FLAGS=4321

%ifarch sparc m68k armv4l ppc s390 s390x ppc64 sparc64
ENDIAN_FLAGS=1234
%endif

%make_build RPM_OPT_FLAGS="%{optflags} $ARCH32_FLAGS $EXTRA_FLAGS" ENDIAN="$ENDIAN_FLAGS" LDFLAGS="%{ldflags}"

%install
rm -rf %{buildroot}
install -m755 %{oname} -D %{buildroot}%{_bindir}/%{oname}
ln -sf %{oname} %{buildroot}%{_bindir}/uncompress
install -m644 %{oname}.1 -D %{buildroot}%{_mandir}/man1/%{oname}.1
ln -sf %{oname}.1.bz2 %{buildroot}%{_mandir}/man1/uncompress.1.bz2

%clean
rm -rf %{buildroot}

%files
%doc LZW.INFO README.md Changes Acknowleds
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Tue May 07 2019 tex - 4.2.4.5-1pclos2019
- rebuild against updates

* Sun Dec 04 2010 pcserver <pcserver at hush.com> 4.2.4.4-1pclos2010
- 4.2.4.4 for 2010 release

